#!/usr/bin/env python
import pigpio
import time
import datetime
import asyncio

def run_in_parallel(*fns):
  proc = []
  for fn in fns:
    p = Process(target=fn)
    p.start()
    proc.append(p)
  for p in proc:
    p.join()

PTT_IS_ON = 0

# init GPIO
pi = pigpio.pi()
# button pin
pi.set_mode(10, pigpio.INPUT)

async def button_check(gpio:int, level):
    if(pi.read(gpio)!=0):
        return True
    if(pi.read(gpio)==0):
        return False

async def ptt():
    while True:
        if await button_check(10, pigpio.EITHER_EDGE):
            print("HEEEEEE")
        asyncio.sleep(.5)

if __name__ == "__main__":
    # button_press(10, pigpio.EITHER_EDGE)
    asyncio.run(ptt))